﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Media;
using MD.PersianDateTime.Standard;

namespace WolfOfWallStreet.Models.MofidOnline
{
    public class MofidOnlineOrderResult
    {

        public bool haserror { get; set; }
        public string Value { get; set; }
        public List<object> MetaData { get; set; }
        public bool IsFinish { get; set; }
        public int LastDate { get; set; }
        public bool ResetOrder { get; set; }

        public DateTime GetDateTime { get; set; }

        public string GetDateTimeStr
        {
            get
            {
                PersianDateTime dateTime = new PersianDateTime(GetDateTime);
                return dateTime.ToString("hh:mm:ss:fff");
            }
        }
        public string IsSuccessStr
        {
            get
            {
                if (haserror==false)
                    return "بلی";
                return "خیر";
            }
        }

        public Brush StatusColor
        {
            get
            {
                if (haserror==false)
                    return Brushes.ForestGreen;
                else
                    return Brushes.OrangeRed;
            }
        }

    }
}
