﻿using System;
using System.Collections.Generic;
using System.Text;

namespace WolfOfWallStreet.Models.EasyTrader
{
    public class EasyTraderDraft
    {

        public string isin { get; set; }
        public int financeId { get; set; }
        public int quantity { get; set; }
        public int price { get; set; }
        public int easyState { get; set; }
        public int side { get; set; }
        public int validityType { get; set; }
        public object validityDateJalali { get; set; }
        public string stockSymbol { get; set; }
        public int easySource { get; set; }
        public bool cautionAgreementSelected { get; set; }
        public string referenceKey { get; set; }
        public string responseErrorMessage { get; set; }

    }

    public class OnlinePlusDraft
    {
        public bool IsSymbolCautionAgreement { get; set; }
        public bool CautionAgreementSelected { get; set; }
        public bool IsSymbolSepahAgreement { get; set; }
        public bool SepahAgreementSelected { get; set; }
        public int orderCount { get; set; }
        public int orderPrice { get; set; }
        public int FinancialProviderId { get; set; }
        public string minimumQuantity { get; set; }
        public int maxShow { get; set; }
        public int orderId { get; set; }
        public string isin { get; set; }
        public int orderSide { get; set; }
        public int orderValidity { get; set; }
        public object orderValiditydate { get; set; }
        public bool shortSellIsEnabled { get; set; }
        public int shortSellIncentivePercent { get; set; }

        public string Cocies { get; set; }


    }
}
