﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Media;
using MD.PersianDateTime.Standard;

namespace WolfOfWallStreet.Models.OnlinePlus
{
    public class OnlinePlusOrderResult
    {
        public bool IsSuccessfull { get; set; }
        public string MessageDesc { get; set; }
        public object MessageCode { get; set; }
        public object Data { get; set; }
        public int Version { get; set; }
        public DateTime GetDateTime { get; set; }

        public string GetDateTimeStr
        {
            get
            {
                PersianDateTime dateTime = new PersianDateTime(GetDateTime);
                return dateTime.ToString("hh:mm:ss:fff");
            }
        }

        public string IsSuccessStr
        {
            get
            {
                if (IsSuccessfull)
                    return "بلی";
                return "خیر";
            }
        }

        public Brush StatusColor
        {
            get
            {
                if (IsSuccessfull)
                    return Brushes.ForestGreen;
                else
                    return Brushes.OrangeRed;
            }
        }
    }

}
