﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WolfOfWallStreet.Models.OnlinePlus
{

    public class OnlinePlusSymbol
    {
        public OnlinePlusSymbolInfo symbolinfo { get; set; }
        public OnlinePlusSymbolQueue symbolqueue { get; set; }
        public int Quantity { get; set; }
    }
    public class OnlinePlusSymbolInfo
    {
        public bool isFuture { get; set; }
        public string nc { get; set; }
        public int ltp { get; set; }
        public int cp { get; set; }
        public int ht { get; set; }
        public int lt { get; set; }
        public int st { get; set; }
        public int gs { get; set; }
        public int pcp { get; set; }
        public string gc { get; set; }
        public int nst { get; set; }
        public int nt { get; set; }
        public long tv { get; set; }
        public string ltd { get; set; }
        public int mxp { get; set; }
        public int minprod { get; set; }
        public double pv { get; set; }
        public int vs { get; set; }
        public int hp { get; set; }
        public int lp { get; set; }
        public int rp { get; set; }
        public int bv { get; set; }
        public string est { get; set; }
        public int cp12 { get; set; }
        public string ect { get; set; }
        public double opts { get; set; }
        public int mp { get; set; }
        public object mt { get; set; }
        public int cpv { get; set; }
        public double cpvp { get; set; }
        public int lpv { get; set; }
        public double lpvp { get; set; }
        public int th { get; set; }
        public int tl { get; set; }
        public bool iscu { get; set; }
        public bool isagsp { get; set; }
        public string ic { get; set; }
        public bool iso { get; set; }
    }

    public class OnlinePlusSymbolValue
    {
        public int BestBuyPrice { get; set; }
        public int BestSellPrice { get; set; }
        public int BestSellQuantity { get; set; }
        public int BestBuyQuantity { get; set; }
        public int NoBestBuy { get; set; }
        public int NoBestSell { get; set; }
        public string NSCCode { get; set; }
        public int Place { get; set; }
    }

    public class OnlinePlusSymbolQueue
    {
        public List<OnlinePlusSymbolValue> Value { get; set; }

        public OnlinePlusSymbolValue FValue
        {
            get { return Value.First(); }
        }
    }
}
