﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using WolfOfWallStreet.Models;
using WolfOfWallStreet.Models.EasyTrader;

namespace WolfOfWallStreet.Services.Contracts
{
    public interface IEasyTraderService
    {
        Task<EasyTraderOrderResult> SendOrder(string auth, EasyTraderDraft draft);
        Task<EasyTraderDraft> GetSymbolInfo(string auth,string isin);
        Task<EasyTraderDraft> GetSymbolOrderBase(string auth, Symbol symbol, long stockPrice);
    }
}
