﻿using System;
using System.Windows.Controls;
using HandyControl.Controls;
using WolfOfWallStreet.Models;
using WolfOfWallStreet.ViewModels;

namespace WolfOfWallStreet.Views.Controllers
{
    /// <summary>
    /// Interaction logic for SymbolsController
    /// </summary>
    public partial class SymbolsController : UserControl
    {
        public SymbolsController()
        {
            InitializeComponent();
        }

        private void SymbolTag_OnClosed(object sender, EventArgs e)
        {
            if(sender is Tag tag && tag.DataContext is Symbol symbol && DataContext is SymbolsControllerViewModel viewModel)
                viewModel.RemoveSymbolCommand.Execute(symbol);
        }
    }
}
